1. Diese Seite verwendet Cookies. Wenn du dich weiterhin auf dieser Seite aufhältst, akzeptierst du unseren Einsatz von Cookies. Weitere Informationen
  2. Um Zugriff auf die Ressourcen sowie auf Teile des Forums zu erhalten, müsst ihr euren XenForo Validation Token an dieser Stelle hinterlegen. Probleme in diesem Umfeld bitte im Forum melden. Danke!
    Information ausblenden

Grundlegende Fragen, mal wieder

Dieses Thema im Forum "Fragen vor dem Kauf" wurde erstellt von Rifuku, 24. Feb. 2016.

  1. Rifuku

    Rifuku Neues Mitglied Lizenzinhaber

    Hallo zusammen.

    Ich trage mich mit dem Gedanken von PhpBB 3.0.4 auf Xenfor zu wechseln, da meine Version ja nicht mehr unterstützt wird. Der entsprechende Importer wird ja mit der Software geliefert und macht das ganze hoffentlich recht einfach:oops:
    Ich habe zwar eine Konkurrenzlizenz, die ich aber nicht nutzen kann, weil ich nicht genau die Serveranforderungen studiert hatte. Nun kann ich diese leider nicht verwenden, weil mein Server nur 95mb Memory Limit hat und nicht die benötigten 128mb. Da ja scheinbar alle anderen Foren weitaus weniger benötigen werde ich natürlich stutzig, warum diese Software so leistungshungrig ist.

    Nach einer ausgiebigen Testsession war ich begeistert von den Admin Möglichkeiten, welche auch der weniger versierte Admin versteht :D Einige Punkte hatte ich schon über die Suche abgeklärt, aber z.T. nicht komplett.

    1. Ich hatte das Test Tool auf meinem Server ausgeführt und es gab keine Probleme. Kann ich davon ausgehen, das die 95 mb Memory Limit dann ausreichen?

    2. Lizenzdauer und Updates ist klar, jedoch konnte ich nirgends etwas über die Dauer der Sicherheitsupdates lesen. Wird es, auch bei inaktiver Lizenz, Sicherheitsupdates geben, wenn eine neue Version von Xenforo auf dem Markt ist? Gibt es Erfahrungswerte hierzu, was ältere Versionen betrifft , z.B. 2 Jahre garantiert?

    3. Xenforo bietet eigentlich alles, was mein PhPbb Forum auch bietet bis auf die Möglichkeit, den Bilderupload gleich mit einem Text zu versehen. Gibt es da ein AddOn? Entweder nein, oder ich habe nicht richtig gesucht :oops: Klar geht das auch später im Beitrag, aber die Software ist so schön komfortabel (alleine schon die Möglichkeit mehrere Bilder auf einmal hoch zu laden ist genial), da wundert mich das Fehlen so einer Funktion.

    Danke schon mal im Voraus.
    Gruß
    Olli
     
  2. Alluidh

    Alluidh Übersetzer Lizenzinhaber

    Hallo Olli

    Erst einmal Willkommen hier im Forum :)

    Nun zu deinen Fragen:
    1. Ich hatte lange Zeit mal ein Limit von 64MB eingestellt und keine Probleme. Allerdings hoffe ich, dass andere Personen sich auch noch melden.

    2. Es gab bisher nur 3 echte Sicherheitsupdates und bei alle dieser wurde auch die auszutauschenden Dateien in den jeweiligen Themen zur Verfügung gestellt. (Beispiel) Komplette Versionen gibt es nur gegen aktive Lizenzen. Bisher wurde in den 5 1/2 Jahren noch keine zeitliche Einschränkung gemacht.

    3. Das ist eine gute Frage, mit der ich mich noch nie beschäftigt habe, daher habe ich auch keine Antwort parat. Allerdings ist mir auch noch kein Add-on begegnet, welches diese Funktion abdeckt. In den Galerien gibt es Bildunterschriften, aber direkt im Browser wäre es mir neu. Jedoch sollte sich so etwas eventuell über einen erweiterten BBCode abbilden lassen ... Denk .... ;)
     
  3. Rifuku

    Rifuku Neues Mitglied Lizenzinhaber

    Hallo.

    Danke für die freundliche Begrüßung und natürlich für die ausführliche Antwort

    Mein Forum ist nur klitzeklein mit 4 Usern (kann man da eigentlich von Forum sprechen :rolleyes:) und wenn du mit 64mb keine Probleme hattest, dann sollten meine 98mb sicherlich locker ausreichen

    Komplette Versionen ist klar. Mir geht es nur darum: Wenn jetzt nicht so eine super duper Funktion in der nächsten Version vorhanden ist, so dass ich kein Interresse an einem upgrade habe (sagen wir mal 3 Jahre lang) , dann möchte ich dennoch sicherstellen, dass mein Forum ständig auf dem neusten Sicherheitsstand ist. Man hat ja doch einiges zusammengetragen und dann wäre es schade, wenn alles durch Hacker zu nichte gemacht würde :( Irgendwann würde ich dann sicherlich mal Geld für ein upgrade in die Hand nehmen, nur eben nicht bei jeder Version ;)

    Bei PhPbb 3.0 Ist diese Funktion direkt in dem Fenster Dateiupload gegeben. Ich finde das vereinfacht vieles. Ich bin ein Freund davon , dass die User bei fremden Bildern eine Quelle angeben (was nicht allen spaß bereitet :happy:). Und wenn sie nun einen extra Schritt einlegen müssen, muss ich noch mehr aufpassen :D. Klingt zwar gut mit dem BBcode, aber da habe ich überhaupt keine Ahnung von, den meine Kenntnisse sind doch recht gering. Mal ein wenig die Farbe im Script andern, oder Größe anpassen ist kein Problem. Aber vielleicht gehe ich das dan mal über den Support im Forum an. Ist sicherlich auch für andere Interesssant. Wundert mich, dass ich hierzu nichts gefunden habe. Bei der Konkurrenz wurde mehrfach danach gefragt, aber einen lösungsansatz gab es da ebenfalls nicht. Wäre vielleicht auch was für die Wunschecke :)

    Nachdem ich heute dann doch Versucht hatte, mein Forum auf Version 3.1 zu modernisieren (was fürchterlich in die Hose ging) wird es wohl auf Xenfor hinaus laufen. Eine Frage hätte ich aber noch: Die Konkurrenz erlaubt ein Schattenforum OHNE Zugang von anderen um Änderungen oder Modifikationen zu überprüfen. Ist das bei dieser Lizenz auch möglich? Hat sich für mich in der Vergangenheit bewährt.

    Gruß
    Olli


    bildtext.jpg
     
    Zuletzt bearbeitet: 24. Feb. 2016
  4. Alluidh

    Alluidh Übersetzer Lizenzinhaber

    Du kaufst nicht pro Version, sondern für einen Zeitraum von 1 Jahr. Updates von XenForo erscheinen recht regelmäßig und viele bringen auch neue Funktionen mit
    Have You Seen...?

    Ja, ist bei XenForo auch so. Du darfst zu jedem produktiven Forum auch eines betreiben, welches dem Zweck von Test und Entwicklung dient. Allerdings sollte es dann auch entsprechend zu erkennen sein (Beispiel test.deinedomain.de) Wenn du es hinter ein .htaccess packst ist es dann auch noch gesichert.
     
  5. Rifuku

    Rifuku Neues Mitglied Lizenzinhaber

    Hallo

    Ok, war nicht korrekt von mir ausgedrückt. Das mit der Lizenz für ein Jahr und damit Zugang zu Updates und Fixes hatte ich verstanden. Was ich aber zum Ausdruck bringen wollte: Nach einem Jahr bekomme ich keine Updates/Fixes mehr für das Forum, sondern nur noch Sicherheitsupdates (welche mir wichtig sind). Nun gehen ein, zwei oder gar drei Jahre ins Land ohne das Updates für das Forum (z.B. neue Funktionen oder Support) für mich interessant waren. Nun kommt aber V 2.0 mit einer sagenumwogenen Funktion die ich unbedingt haben muss, dann wäre natürlich der Moment gekommen, Muttis Sparbuch zu plündern ;) Aber wenn alles läuft, warum sollte man unbedingt die Kosten steigern? Alles eine Frage der Ballance, denke ich. Und gerade wenn eine Version des Forums schon länger auf dem Markt ist, werden wahrscheinlich kaum noch Bugs auftreten. Der Supportbereich läßt jedenfalls in meinen Augen daruf schließen :)

    Und das man ein "Schattenforum" errichten darf ist natürlich super!
    Gruß
    Olli
     
  6. bt012ss

    bt012ss Gast

    Zum Verständnis, obwohl es mit Alluidh's ersten Antwort schon klar ist...........Du hast Version 1.5.5 am laufen, wir sind aber mit mit 1.8.7 schon 15 Versionen weiter. Gibt's nun bei 1.5.5 eine Sicherheitslücke dann wird diese geschlossen, für alle die eine gültige Lizenz bis 1.5.5 hatten. Auch Jahre später noch, bis zu deinem Lebensende, zumindest laut Info = heute. Sicherheitslücken von 1.7.6 interessieren dich ja nicht.
     
  7. Rifuku

    Rifuku Neues Mitglied Lizenzinhaber

    Hallo Karl.

    hatte ich auch so verstanden, trotzdem noch mal vielen Dank für eure Hilfe und Antworten. Dann können meine User und ich ja die Köppe zusammenstecken und einen Plan schmieden. :D Wenn der Support bei euch immer so läuft (und warum sollte er nicht): Hut ab, ist leider nicht alltäglich in der heutigen Zeit.
    Gruß
    Olli
     
    bt012ss gefällt das.
  8. Boothby

    Boothby Aktives Mitglied Lizenzinhaber

    Patches gab es bislang nur für die jeweils letzte Version von x.X.x in Form eines Updates und die geänderten Dateien wurden im Forum bereit gestellt. Um mal bei dem 1.5.5-Beispiel zu bleiben; angenommen in 1.5.7 wird eine Lücke gefunden, dann gibt es 1.5.8 und die geänderten Dateien. Das kann für 1.5.5 gut gehen, da der Versionssprung minimal ist, muß es aber nicht zwangsläufig. Gleiches würde gelten für eine Lücke in 1.7.7, die sich durch alle bisherigen Versionen durchzieht. Dann gäbe es auch nur die 1.5.8 und die neueste 1.6.x
    Anders sieht es aus für 1.8.8. Hier sind alle Versionen der 1.5.x-Reihe bereits EOL.

    Siehe auch letzter Fix auf xf.com

    upload_2016-2-28_9-17-58.png

    Für 1.2.x gab es keinen Fix mehr. Ich kenne die offizielle EOL-policy nicht, sie scheint sich aber nur auf max. zwei x.X.x Versionssprünge zurück zu beschränken.

    Um das mal zusammen zu fassen. Halte dein Forum stets aktuell. Es ist es nicht wert wegen ein paar Groschen einen Hack zu riskieren. Das schuldest du auch deinen Usern.
     
    Lemminator und Alluidh gefällt das.
  9. Rifuku

    Rifuku Neues Mitglied Lizenzinhaber

    Hallo Boothby.

    Puuhhh, so viele Zahlen ;) Danke für diese ausführliche Antwort. Besser geht's dann ja wohl auch nicht:good: Dann hatte ich ja alles richtig verstanden. Und um mein Forum auf den neuesten Stand zu halten, darum ging es mir ja. Sollte man das nicht immer?
    Gruß
    Olli